Notifications
Get notifications
This endpoint allows you to retrieve notifications by type for a wallet.
GET
/
notifications
Get notifications
curl --request GET \
--url https://processor-prod.up.railway.app/notifications \
--header 'x-service-key: <api-key>'import requests
url = "https://processor-prod.up.railway.app/notifications"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://processor-prod.up.railway.app/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Notifications fetched successfully",
"timestamp": "2025-09-17T00:07:13.436Z",
"data": {
"notifications": [
{
"asset": "bsc:usdt",
"id": "68c9b988196a18d7bd2161cd",
"reference": "s7s2ewm5qduwgwz23zpw",
"wallet": "68c67578e4b64749538d1326",
"hash": "0x2a592a8f253e9f404676190d6ee564afa307739549f15175c414ae16030076c6",
"sender": "0xb8fbc060136580db4732c8e89af6bfc03f4ea229",
"beneficiary": "68c67578196a18d7bd1e4e9b",
"currency": "NGN",
"rate": 1504.98,
"direction": "outgoing",
"receiver": "0xb8fbc060136580db4732c8e89af6bfc03f4ea229",
"amount": 70,
"fee": 0.35,
"token": "0x55d398326f99059ff775485246999027b3197955",
"blockchain": 56,
"status": "completed",
"type": "offramp",
"timestamp": "2025-09-16T19:24:56.425Z"
}
],
"total": 9,
"page": 1,
"previous": null,
"next": null,
"limit": 10
}
}Authorizations
Query Parameters
This is the current page being requested relative to size of a page
The type of notifications to retrieve
Available options:
transfer, deposit, offramp, onramp, swap Example:
"offramp"
The wallet ID to get notifications for
Example:
"68c67578e4b64749538d1326"
The reference of the specific transaction
Example:
"a6zhamo1neisjcxncmas"
⌘I
Get notifications
